Zabbix Server send_history_last_id() SQL Injection

This script is Copyright (C) 2009-2013 Tenable Network Security, Inc.


Synopsis :

The remote monitoring service has a SQL injection vulnerability.

Description :

The version of Zabbix server running on the remote host has a SQL
injection vulnerability in the 'send_history_last_id()' function of
'nodehistory.c'. A remote attacker could exploit this by sending a
specially crafted request, resulting in the execution of arbitrary
queries.

The vendor released a partial fix in version 1.6.7, but certain types of
SQL injections are still possible.

See also :

https://support.zabbix.com/browse/ZBX-1031
https://support.zabbix.com/secure/attachment/11471/zbx-sqli-v2.py
http://zabbix.com/rn1.6.8.php

Solution :

Upgrade to Zabbix 1.6.8 or later.

Risk factor :

High / CVSS Base Score : 7.5
(CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P)
CVSS Temporal Score : 6.2
(CVSS2#E:F/RL:OF/RC:C)
Public Exploit Available : true

Family: Misc.

Nessus Plugin ID: 43391 ()

Bugtraq ID: 37309

CVE ID: